<?php

namespace App\Http\Requests\ClassProgress;

use App\Http\Requests\ClassProgress\ClassProgressFormRequest;

class ClassProgressMetaRequest extends ClassProgressFormRequest
{
    public function authorize(): bool
    {
        return true;
    }

    public function rules(): array
    {
        return [
            'class_id' => ['nullable', 'integer', 'min:1'],
            'sunday_count' => ['nullable', 'integer', 'min:1', 'max:52'],
        ];
    }
}
